Hace unos días comenté [las razones por la cual Firefox es mi navegador preferido](http://alt1040.com/2010/08/que-le-pides-a-tu-navegador-web-preferido) desde hace mucho tiempo y **una de esas cosas que hace al navegador de Mozilla atractivo son su gran cantidad de extensiones** que permiten al usuario poder modificar el navegador a su antojo, permitiendo dejarlo de forma muy personal y _al gusto del consumidor_. Con el software soy realmente ansioso y me gusta tener la última versión, actualmente estoy trabajando con dos versiones diferentes del navegador, por un lado uso la cuarta beta de Firefox 4 y también uso las versiones previas de la beta 5 que diariamente se actualizan y donde me voy fijando los cambios que van realizando.

Hasta el salto a la versión 4 siempre que se actualizaba **Firefox** nos podíamos encontrar con que las extensiones no eran compatibles, pero te podías arriesgar a activarlas y funcionaban de igual forma. Sin embargo en esta nueva versión del navegador esto no sucede y son muy pocas las extensiones que funcionan correctamente. Esto es algo normal teniendo en cuenta que [han realizado muchos cambios en el corazón de la aplicación]( http://blog.mozilla.com/addons/2010/07/21/compatibility-for-firefox-4-time-to-get-started/) para arreglar los graves problemas de consumo de recursos, entre otros cambios. Pero esto lleva a una situación que creo que puede hacer que se degrade la calidad de esta galería de extensiones.

Como dato a tener en cuenta, según [StatCounter GlobalStats](http://gs.statcounter.com/#browser_version-ww-monthly-201006-201006-bar) de las versiones del navegador de Firefox **el más usado es la versión 3.6 con un 21,01%**, mientras que la 3.5 la usan el 6,44% de usuarios por 3,13% de la versión 3 y un 0,48% hacen uso de la versión 2 de Firefox. Si entramos echamos un vistazo a la [galería de extensiones de Firefox](https://addons.mozilla.org/es-ES/firefox/) nos encontramos con que muy pocas extensiones son compatibles con las versiones beta de Firefox 4 y las que no lo son si la intentamos activar no funcionan de forma correcta. Cabe esperar que cuando se lance la versión final muchos desarrolladores actualicen sus extensiones, sin embargo hay algunas que no han sido actualizadas ni para la última versión estable.

Creo que [Mozilla](/tag/mozilla) debe cuidar algo más esta galería de extensiones, sobre todo ahora que [Google lanzará dentro de poco Chrome Web Store](http://alt1040.com/2010/08/nuevos-datos-sobre-chrome-web-store-presentados-en-gdc-europa). En cualquier caso y afortunadamente, las extensiones más usadas son actualizadas casi para cada versión final, así como nuevas extensiones que llegan a reemplazar a las que han quedado obsoletas, siendo este un ciclo natural de vida de las extensiones. Como bien comenta [Erez Zukerman en DownloadSquad](http://www.downloadsquad.com/2010/08/25/is-mozilla-making-a-huge-mistake-by-breaking-add-ons-so-badly-on/) en su estado actual la cuarta versión beta de Firefox 4 es un bonito Opera, con la diferencia de que este último lleva incorporada muchas funcionalidades por defecto que en el navegador del zorro podemos instalar en forma de extensión.

Que haya menos extensiones puede afectar en que algunos usuarios retrasen su salto a la nueva versión hasta que sus complementos favoritos estén actualizados, por lo que Mozilla debería _limpiar_ de algún modo su galería de extensiones para que este problema se minimice, o **gratificar de algún modo a los desarrolladores de las extensiones más populares para que estas estén actualizadas** ya que aunque las donaciones fue una gran idea no supone un incentivo lo suficientemente interesante para el creador de la extensión como para tenerla actualizada desde el minuto 0.

En cualquier caso, las extensiones son una característica más del navegador y Firefox 4 ha mejorado mucho respecto a la anterior versión. **Son muchas las mejoras, novedades, características que trae y _rechazarlo_ porque no funcionen las extensiones es algo superfluo**, ya que tarde o temprano estarán actualizadas. Yo estoy funcionando con las pocas extensiones que son compatibles y creo que habrá gente que haga lo mismo que yo, pero también entiendo que haya quienes no puedan vivir sin ciertas extensiones. En tu caso, ¿te preocupa a corto plazo la compatibilidad que tengan tus extensiones con la nueva versión de Firefox?

Ahora en Hipertextual

Suscríbete gratis a Hipertextual

Estamos más ocupados que nunca y hay demasiada información, lo sabemos. Déjanos ayudarte. Enviaremos todas las mañanas un correo electrócnio con las historias y artículos que realmente importan de la tecnología, ciencia y cultura digital.